/***********************************************************************************************************************
 *
 * SolidBlue - open source safe data
 * Copyright (C) 2011-2012 by Tidalwave s.a.s. (http://tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://solidblue.tidalwave.it
 * SCM: https://bitbucket.org/tidalwave/solidblue-src
 *
 **********************************************************************************************************************/
package it.tidalwave.integritychecker.ui.impl.swing;

import it.tidalwave.integritychecker.ui.spi.ActorTopComponent;
import org.openide.util.NbBundle;
import org.openide.windows.TopComponent;
import it.tidalwave.netbeans.util.Locator;
import it.tidalwave.integritychecker.ui.IntegrityCheckerPresentationBuilder;
import it.tidalwave.integritychecker.ui.spi.IntegrityCheckerUIActivator;
import lombok.extern.slf4j.Slf4j;
import static org.openide.windows.TopComponent.*;

/***********************************************************************************************************************
 * 
 * @stereotype Presentation
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@TopComponent.Description(preferredID = "IntegrityCheckerPresentationTopComponent",
                          persistenceType = PERSISTENCE_NEVER)
@TopComponent.Registration(mode = "center", openAtStartup = true)
@Slf4j
public final class IntegrityCheckerPresentationTopComponent extends ActorTopComponent
  {
    public IntegrityCheckerPresentationTopComponent() 
      {
        super(Locator.find(IntegrityCheckerPresentationBuilder.class), new IntegrityCheckerUIActivator());
        setName(NbBundle.getMessage(IntegrityCheckerPresentationTopComponent.class, "CTL_IntegrityCheckerPresentationTopComponent"));
      }
  }
